<?php
/**
 * security_roster.inc.php
 * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
 */


/* Each zone contains a comma delimited list of privilege categories that are 
 * authorized access to the specific zone. If the privilege category is listed,
 * they have access. Remove the privilege category to remove that group's access.
 * Add as many zones and privileges as necessary, but it is a good idea to keep
 * this concise. Recommend an organized naming scheme for the zones: DISPLAY 
 * for showing/hiding certain elements FUNC for access to functions, ADMIN 
 * for access to admin pages, etc. */


if (!defined('ZONE_DISPLAY_SITE_COMMANDS')) { define('ZONE_DISPLAY_SITE_COMMANDS', 'root,admin,editor'); }
if (!defined('ZONE_FUNC_EDIT_PASSWORD_ALERT')) { define('ZONE_FUNC_EDIT_PASSWORD_ALERT', 'root,admin,editor'); }

if (!defined('ZONE_ADMIN_ACCESS_SITES')) { define('ZONE_ADMIN_ACCESS_SITES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ACCESS_SITES_FUNC_ADD')) { define('ZONE_ADMIN_ACCESS_SITES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ACCESS_SITES_FUNC_DELETE')) { define('ZONE_ADMIN_ACCESS_SITES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ACCESS_SITES_FUNC_EDIT')) { define('ZONE_ADMIN_ACCESS_SITES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ACCESS_SITES_FUNC_LIST')) { define('ZONE_ADMIN_ACCESS_SITES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ADMINS')) { define('ZONE_ADMIN_ADMINS', 'root,admin'); }
if (!defined('ZONE_ADMIN_ADMINS_FUNC_ADD')) { define('ZONE_ADMIN_ADMINS_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_ADMINS_FUNC_DELETE')) { define('ZONE_ADMIN_ADMINS_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_ADMINS_FUNC_EDIT')) { define('ZONE_ADMIN_ADMINS_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_ADMINS_FUNC_LIST')) { define('ZONE_ADMIN_ADMINS_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_USERS')) { define('ZONE_ADMIN_USERS', 'root,admin'); }
if (!defined('ZONE_ADMIN_USERS_FUNC_ADD')) { define('ZONE_ADMIN_USERS_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_USERS_FUNC_DELETE')) { define('ZONE_ADMIN_USERS_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_USERS_FUNC_EDIT')) { define('ZONE_ADMIN_USERS_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_USERS_FUNC_LIST')) { define('ZONE_ADMIN_USERS_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_APPLOG')) { define('ZONE_ADMIN_APPLOG', 'root,admin'); }
if (!defined('ZONE_ADMIN_APPLOG_FUNC_RESET')) { define('ZONE_ADMIN_APPLOG_FUNC_RESET', 'root,admin'); }
if (!defined('ZONE_ADMIN_ARTICLES')) { define('ZONE_ADMIN_ARTICLES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ARTICLES_FUNC_ADD')) { define('ZONE_ADMIN_ARTICLES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ARTICLES_FUNC_DELETE')) { define('ZONE_ADMIN_ARTICLES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ARTICLES_FUNC_EDIT')) { define('ZONE_ADMIN_ARTICLES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ARTICLES_FUNC_LIST')) { define('ZONE_ADMIN_ARTICLES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORY')) { define('ZONE_ADMIN_CATEGORY', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORY_FUNC_ADD')) { define('ZONE_ADMIN_CATEGORY_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORY_FUNC_DELETE')) { define('ZONE_ADMIN_CATEGORY_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORY_FUNC_EDIT')) { define('ZONE_ADMIN_CATEGORY_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GLOSSARY')) { define('ZONE_ADMIN_GLOSSARY', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GLOSSARY_FUNC_ADD')) { define('ZONE_ADMIN_GLOSSARY_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GLOSSARY_FUNC_DELETE')) { define('ZONE_ADMIN_GLOSSARY_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GLOSSARY_FUNC_EDIT')) { define('ZONE_ADMIN_GLOSSARY_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GLOSSARY_FUNC_LIST')) { define('ZONE_ADMIN_GLOSSARY_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_INVOICE_FUNC_LIST')) { define('ZONE_ADMIN_INVOICE_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_MCVE')) { define('ZONE_ADMIN_MCVE', 'root,admin'); }
if (!defined('ZONE_ADMIN_MCVE_FUNC_PREAUTHCOMPLETE')) { define('ZONE_ADMIN_MCVE_FUNC_PREAUTHCOMPLETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_MCVE_FUNC_SALE')) { define('ZONE_ADMIN_MCVE_FUNC_SALE', 'root,admin'); }
if (!defined('ZONE_ADMIN_MCVE_FUNC_SETTLE')) { define('ZONE_ADMIN_MCVE_FUNC_SETTLE', 'root,admin'); }
if (!defined('ZONE_ADMIN_MCVE_FUNC_VOID')) { define('ZONE_ADMIN_MCVE_FUNC_VOID', 'root,admin'); }
if (!defined('ZONE_ADMIN_ORDERS_FUNC_LIST')) { define('ZONE_ADMIN_ORDERS_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_PASSWD')) { define('ZONE_ADMIN_PASSWD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_NEWS')) { define('ZONE_ADMIN_NEWS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_NEWS_FUNC_ADD')) { define('ZONE_ADMIN_NEWS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_NEWS_FUNC_DELETE')) { define('ZONE_ADMIN_NEWS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_NEWS_FUNC_EDIT')) { define('ZONE_ADMIN_NEWS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_NEWS_FUNC_LIST')) { define('ZONE_ADMIN_NEWS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PR')) { define('ZONE_ADMIN_PR', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PR_FUNC_ADD')) { define('ZONE_ADMIN_PR_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PR_FUNC_DELETE')) { define('ZONE_ADMIN_PR_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PR_FUNC_EDIT')) { define('ZONE_ADMIN_PR_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PR_FUNC_REORDER')) { define('ZONE_ADMIN_PR_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_QUERYSTATS')) { define('ZONE_ADMIN_QUERYSTATS', 'root,admin'); }
if (!defined('ZONE_ADMIN_QUERYSTATS_FUNC_RESET')) { define('ZONE_ADMIN_QUERYSTATS_FUNC_RESET', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CLIENT')) { define('ZONE_ADMIN_SC_CLIENT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CLIENT_FUNC_ADD')) { define('ZONE_ADMIN_SC_CLIENT_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CLIENT_FUNC_DELETE')) { define('ZONE_ADMIN_SC_CLIENT_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CLIENT_FUNC_EDIT')) { define('ZONE_ADMIN_SC_CLIENT_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CLIENT_FUNC_LIST')) { define('ZONE_ADMIN_SC_CLIENT_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT')) { define('ZONE_ADMIN_SC_CONFIG_EVENT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_ADD')) { define('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_DELETE')) { define('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_EDIT')) { define('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_LIST')) { define('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_UNSUBSCRIBE')) { define('ZONE_ADMIN_SC_CONFIG_EVENT_FUNC_UNSUBSCRIBE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE')) { define('ZONE_ADMIN_SC_INVOICE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_ADD')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_CHARGECC')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_CHARGECC', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_DELETE')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_EDIT')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_MAKEINVOICES')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_MAKEINVOICES', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_INVOICE_FUNC_SENDEMAIL')) { define('ZONE_ADMIN_SC_INVOICE_FUNC_SENDEMAIL', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_PAYMENT')) { define('ZONE_ADMIN_SC_PAYMENT', 'root,admin,banker'); }
if (!defined('ZONE_ADMIN_SC_PAYMENT_FUNC_ADD')) { define('ZONE_ADMIN_SC_PAYMENT_FUNC_ADD', 'root,admin,banker'); }
if (!defined('ZONE_ADMIN_SC_PAYMENT_FUNC_DELETE')) { define('ZONE_ADMIN_SC_PAYMENT_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_PAYMENT_FUNC_EDIT')) { define('ZONE_ADMIN_SC_PAYMENT_FUNC_EDIT', 'root,admin,banker'); }
if (!defined('ZONE_ADMIN_SC_PAYMENT_FUNC_LIST')) { define('ZONE_ADMIN_SC_PAYMENT_FUNC_LIST', 'root,admin,banker'); }
if (!defined('ZONE_ADMIN_SC_SITE')) { define('ZONE_ADMIN_SC_SITE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_SITE_FUNC_ADD')) { define('ZONE_ADMIN_SC_SITE_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_SITE_FUNC_DELETE')) { define('ZONE_ADMIN_SC_SITE_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_SC_SITE_FUNC_EDIT')) { define('ZONE_ADMIN_SC_SITE_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_SITE_FUNC_LIST')) { define('ZONE_ADMIN_SITE_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_TESTIMONIAL')) { define('ZONE_ADMIN_TESTIMONIAL', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TESTIMONIAL_FUNC_ADD')) { define('ZONE_ADMIN_TESTIMONIAL_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TESTIMONIAL_FUNC_DELETE')) { define('ZONE_ADMIN_TESTIMONIAL_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TESTIMONIAL_FUNC_EDIT')) { define('ZONE_ADMIN_TESTIMONIAL_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TESTIMONIAL_FUNC_REORDER')) { define('ZONE_ADMIN_TESTIMONIAL_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TEXTNODES')) { define('ZONE_ADMIN_TEXTNODES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TEXTNODES_FUNC_ADD')) { define('ZONE_ADMIN_TEXTNODES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TEXTNODES_FUNC_DEL')) { define('ZONE_ADMIN_TEXTNODES_FUNC_DEL', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TEXTNODES_FUNC_EDIT')) { define('ZONE_ADMIN_TEXTNODES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_EVENT')) { define('ZONE_ADMIN_TP_EVENT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_EVENT_FUNC_ADD')) { define('ZONE_ADMIN_TP_EVENT_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_EVENT_FUNC_DELETE')) { define('ZONE_ADMIN_TP_EVENT_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_EVENT_FUNC_EDIT')) { define('ZONE_ADMIN_TP_EVENT_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_EVENT_FUNC_LIST')) { define('ZONE_ADMIN_TP_EVENT_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_QUOTE')) { define('ZONE_ADMIN_TP_QUOTE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_QUOTE_FUNC_ADD')) { define('ZONE_ADMIN_TP_QUOTE_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_QUOTE_FUNC_DELETE')) { define('ZONE_ADMIN_TP_QUOTE_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_QUOTE_FUNC_EDIT')) { define('ZONE_ADMIN_TP_QUOTE_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_QUOTE_FUNC_LIST')) { define('ZONE_ADMIN_TP_QUOTE_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER')) { define('ZONE_ADMIN_TP_USER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER_FUNC_ADD')) { define('ZONE_ADMIN_TP_USER_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER_FUNC_DELETE')) { define('ZONE_ADMIN_TP_USER_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER_FUNC_EDIT')) { define('ZONE_ADMIN_TP_USER_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER_FUNC_LIST')) { define('ZONE_ADMIN_TP_USER_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_TP_USER_FUNC_UNSUBSCRIBE')) { define('ZONE_ADMIN_TP_USER_FUNC_UNSUBSCRIBE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FEATURE')) { define('ZONE_ADMIN_FEATURE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FEATURE_FUNC_ADD')) { define('ZONE_ADMIN_FEATURE_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FEATURE_FUNC_EDIT')) { define('ZONE_ADMIN_FEATURE_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FEATURE_FUNC_DELETE')) { define('ZONE_ADMIN_FEATURE_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FEATURE_FUNC_LIST')) { define('ZONE_ADMIN_FEATURE_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_AMENITY')) { define('ZONE_ADMIN_AMENITY', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_AMENITY_FUNC_ADD')) { define('ZONE_ADMIN_AMENITY_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_AMENITY_FUNC_EDIT')) { define('ZONE_ADMIN_AMENITY_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_AMENITY_FUNC_DELETE')) { define('ZONE_ADMIN_AMENITY_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_AMENITY_FUNC_LIST')) { define('ZONE_ADMIN_AMENITY_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY')) { define('ZONE_ADMIN_PROPERTY', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY_FUNC_ADD')) { define('ZONE_ADMIN_PROPERTY_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY_FUNC_EDIT')) { define('ZONE_ADMIN_PROPERTY_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY_FUNC_DELETE')) { define('ZONE_ADMIN_PROPERTY_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY_FUNC_LIST')) { define('ZONE_ADMIN_PROPERTY_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROPERTY_FUNC_REORDER')) { define('ZONE_ADMIN_PROPERTY_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE')) { define('ZONE_ADMIN_IMAGE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE_FUNC_ADD')) { define('ZONE_ADMIN_IMAGE_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE_FUNC_EDIT')) { define('ZONE_ADMIN_IMAGE_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE_FUNC_DELETE')) { define('ZONE_ADMIN_IMAGE_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE_FUNC_LIST')) { define('ZONE_ADMIN_IMAGE_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_IMAGE_FUNC_REORDER')) { define('ZONE_ADMIN_IMAGE_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_METADATA')) { define('ZONE_ADMIN_METADATA', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_METADATA_FUNC_ADD')) { define('ZONE_ADMIN_METADATA_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_METADATA_FUNC_EDIT')) { define('ZONE_ADMIN_METADATA_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_METADATA_FUNC_DELETE')) { define('ZONE_ADMIN_METADATA_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_METADATA_FUNC_LIST')) { define('ZONE_ADMIN_METADATA_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS')) { define('ZONE_ADMIN_LOCATIONS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS_FUNC_ADD')) { define('ZONE_ADMIN_LOCATIONS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS_FUNC_EDIT')) { define('ZONE_ADMIN_LOCATIONS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS_FUNC_DELETE')) { define('ZONE_ADMIN_LOCATIONS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS_FUNC_LIST')) { define('ZONE_ADMIN_LOCATIONS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LOCATIONS_FUNC_REORDER')) { define('ZONE_ADMIN_LOCATIONS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS')) { define('ZONE_ADMIN_EDITIONS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS_FUNC_ADD')) { define('ZONE_ADMIN_EDITIONS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS_FUNC_EDIT')) { define('ZONE_ADMIN_EDITIONS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS_FUNC_DELETE')) { define('ZONE_ADMIN_EDITIONS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS_FUNC_LIST')) { define('ZONE_ADMIN_EDITIONS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EDITIONS_FUNC_REORDER')) { define('ZONE_ADMIN_EDITIONS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES')) { define('ZONE_ADMIN_GALLERIES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES_FUNC_ADD')) { define('ZONE_ADMIN_GALLERIES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES_FUNC_EDIT')) { define('ZONE_ADMIN_GALLERIES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES_FUNC_DELETE')) { define('ZONE_ADMIN_GALLERIES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES_FUNC_LIST')) { define('ZONE_ADMIN_GALLERIES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_GALLERIES_FUNC_REORDER')) { define('ZONE_ADMIN_GALLERIES_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_ACCOUNTS')) { define('ZONE_ADMIN_ACCOUNTS', 'root,admin'); }
if (!defined('ZONE_ADMIN_ACCOUNTS_FUNC_ADD')) { define('ZONE_ADMIN_ACCOUNTS_FUNC_ADD', 'root,admin'); }
if (!defined('ZONE_ADMIN_ACCOUNTS_FUNC_EDIT')) { define('ZONE_ADMIN_ACCOUNTS_FUNC_EDIT', 'root,admin'); }
if (!defined('ZONE_ADMIN_ACCOUNTS_FUNC_DELETE')) { define('ZONE_ADMIN_ACCOUNTS_FUNC_DELETE', 'root,admin'); }
if (!defined('ZONE_ADMIN_ACCOUNTS_FUNC_LIST')) { define('ZONE_ADMIN_ACCOUNTS_FUNC_LIST', 'root,admin'); }
if (!defined('ZONE_ADMIN_ACCOUNTS_FUNC_REORDER')) { define('ZONE_ADMIN_ACCOUNTS_FUNC_REORDER', 'root,admin'); }
if (!defined('ZONE_ADMIN_WORKSHOPS')) { define('ZONE_ADMIN_WORKSHOPS', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_WORKSHOPS_FUNC_ADD')) { define('ZONE_ADMIN_WORKSHOPS_FUNC_ADD', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_WORKSHOPS_FUNC_EDIT')) { define('ZONE_ADMIN_WORKSHOPS_FUNC_EDIT', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_WORKSHOPS_FUNC_DELETE')) { define('ZONE_ADMIN_WORKSHOPS_FUNC_DELETE', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_WORKSHOPS_FUNC_LIST')) { define('ZONE_ADMIN_WORKSHOPS_FUNC_LIST', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_WORKSHOPS_FUNC_REORDER')) { define('ZONE_ADMIN_WORKSHOPS_FUNC_REORDER', 'root,admin,editor,teacher'); }
if (!defined('ZONE_ADMIN_PROGRAMS')) { define('ZONE_ADMIN_PROGRAMS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROGRAMS_FUNC_ADD')) { define('ZONE_ADMIN_PROGRAMS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROGRAMS_FUNC_EDIT')) { define('ZONE_ADMIN_PROGRAMS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROGRAMS_FUNC_DELETE')) { define('ZONE_ADMIN_PROGRAMS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROGRAMS_FUNC_LIST')) { define('ZONE_ADMIN_PROGRAMS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PROGRAMS_FUNC_REORDER')) { define('ZONE_ADMIN_PROGRAMS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES')) { define('ZONE_ADMIN_CATEGORIES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES_FUNC_ADD')) { define('ZONE_ADMIN_CATEGORIES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES_FUNC_EDIT')) { define('ZONE_ADMIN_CATEGORIES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES_FUNC_DELETE')) { define('ZONE_ADMIN_CATEGORIES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES_FUNC_LIST')) { define('ZONE_ADMIN_CATEGORIES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CATEGORIES_FUNC_REORDER')) { define('ZONE_ADMIN_CATEGORIES_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES')) { define('ZONE_ADMIN_RESOURCES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES_FUNC_ADD')) { define('ZONE_ADMIN_RESOURCES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES_FUNC_EDIT')) { define('ZONE_ADMIN_RESOURCES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES_FUNC_DELETE')) { define('ZONE_ADMIN_RESOURCES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES_FUNC_LIST')) { define('ZONE_ADMIN_RESOURCES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_RESOURCES_FUNC_REORDER')) { define('ZONE_ADMIN_RESOURCES_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS')) { define('ZONE_ADMIN_LINKS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS_FUNC_ADD')) { define('ZONE_ADMIN_LINKS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS_FUNC_EDIT')) { define('ZONE_ADMIN_LINKS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS_FUNC_DELETE')) { define('ZONE_ADMIN_LINKS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS_FUNC_LIST')) { define('ZONE_ADMIN_LINKS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_LINKS_FUNC_REORDER')) { define('ZONE_ADMIN_LINKS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS')) { define('ZONE_ADMIN_EVENTS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS_FUNC_ADD')) { define('ZONE_ADMIN_EVENTS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS_FUNC_EDIT')) { define('ZONE_ADMIN_EVENTS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS_FUNC_DELETE')) { define('ZONE_ADMIN_EVENTS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS_FUNC_LIST')) { define('ZONE_ADMIN_EVENTS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_EVENTS_FUNC_REORDER')) { define('ZONE_ADMIN_EVENTS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS')) { define('ZONE_ADMIN_SPONSORS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS_FUNC_ADD')) { define('ZONE_ADMIN_SPONSORS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS_FUNC_EDIT')) { define('ZONE_ADMIN_SPONSORS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS_FUNC_DELETE')) { define('ZONE_ADMIN_SPONSORS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS_FUNC_LIST')) { define('ZONE_ADMIN_SPONSORS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SPONSORS_FUNC_REORDER')) { define('ZONE_ADMIN_SPONSORS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL')) { define('ZONE_ADMIN_JOURNAL', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL_FUNC_ADD')) { define('ZONE_ADMIN_JOURNAL_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL_FUNC_EDIT')) { define('ZONE_ADMIN_JOURNAL_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL_FUNC_DELETE')) { define('ZONE_ADMIN_JOURNAL_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL_FUNC_LIST')) { define('ZONE_ADMIN_JOURNAL_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_JOURNAL_FUNC_REORDER')) { define('ZONE_ADMIN_JOURNAL_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS')) { define('ZONE_ADMIN_CLASSIFIEDS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS_FUNC_ADD')) { define('ZONE_ADMIN_CLASSIFIEDS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS_FUNC_EDIT')) { define('ZONE_ADMIN_CLASSIFIEDS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS_FUNC_DELETE')) { define('ZONE_ADMIN_CLASSIFIEDS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS_FUNC_LIST')) { define('ZONE_ADMIN_CLASSIFIEDS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CLASSIFIEDS_FUNC_REORDER')) { define('ZONE_ADMIN_CLASSIFIEDS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS')) { define('ZONE_ADMIN_DISTRIBUTORS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS_FUNC_ADD')) { define('ZONE_ADMIN_DISTRIBUTORS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS_FUNC_EDIT')) { define('ZONE_ADMIN_DISTRIBUTORS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS_FUNC_DELETE')) { define('ZONE_ADMIN_DISTRIBUTORS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS_FUNC_LIST')) { define('ZONE_ADMIN_DISTRIBUTORS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_DISTRIBUTORS_FUNC_REORDER')) { define('ZONE_ADMIN_DISTRIBUTORS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS')) { define('ZONE_ADMIN_CONTRACTORS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS_FUNC_ADD')) { define('ZONE_ADMIN_CONTRACTORS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS_FUNC_EDIT')) { define('ZONE_ADMIN_CONTRACTORS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS_FUNC_DELETE')) { define('ZONE_ADMIN_CONTRACTORS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS_FUNC_LIST')) { define('ZONE_ADMIN_CONTRACTORS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_CONTRACTORS_FUNC_REORDER')) { define('ZONE_ADMIN_CONTRACTORS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES')) { define('ZONE_ADMIN_SERIES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES_FUNC_ADD')) { define('ZONE_ADMIN_SERIES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES_FUNC_EDIT')) { define('ZONE_ADMIN_SERIES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES_FUNC_DELETE')) { define('ZONE_ADMIN_SERIES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES_FUNC_LIST')) { define('ZONE_ADMIN_SERIES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_SERIES_FUNC_REORDER')) { define('ZONE_ADMIN_SERIES_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS')) { define('ZONE_ADMIN_PRODUCTS', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS_FUNC_ADD')) { define('ZONE_ADMIN_PRODUCTS_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS_FUNC_EDIT')) { define('ZONE_ADMIN_PRODUCTS_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS_FUNC_DELETE')) { define('ZONE_ADMIN_PRODUCTS_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS_FUNC_LIST')) { define('ZONE_ADMIN_PRODUCTS_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_PRODUCTS_FUNC_REORDER')) { define('ZONE_ADMIN_PRODUCTS_FUNC_REORDER', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES')) { define('ZONE_ADMIN_FILES', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES_FUNC_ADD')) { define('ZONE_ADMIN_FILES_FUNC_ADD', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES_FUNC_EDIT')) { define('ZONE_ADMIN_FILES_FUNC_EDIT', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES_FUNC_DELETE')) { define('ZONE_ADMIN_FILES_FUNC_DELETE', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES_FUNC_LIST')) { define('ZONE_ADMIN_FILES_FUNC_LIST', 'root,admin,editor'); }
if (!defined('ZONE_ADMIN_FILES_FUNC_REORDER')) { define('ZONE_ADMIN_FILES_FUNC_REORDER', 'root,admin,editor'); }
